// $Id: likno_menus.admin.inc,v 1.1.2 2011/20/04 19:11:43 askesson Exp $

/**
* @file likno_menus_js.js
* The JavaScript code necessary for the behavior of the admin page
*/

//toggle
Drupal.behaviors.togg = function (context) {

  // BEGIN colors and styling...
  $("#edit-reset").hover(
    function() {
	var offset = $(this).offset();
	//$("#awm-reset-tooltip").css("right",offset.right);
	
	
	$("#awm-reset-tooltip").show();
    },
    function() {
	$("#awm-reset-tooltip").hide();
    });

  $(".awm_showAll").css('color', '#009900');
  $(".awm_showExcept").css('color', '#990000');

  $("div[id^=edit-AWM-items-from-menu-]").each(function() {
	$(this).css('padding-left', '100px');
  });

  $("div[id^=edit-AWM-pages-name-]").each(function() {
	$(this).css('margin-left', '100px');
	$(this).css('width','100px');
//	$(this).css('position', 'relative');
//	$(this).css('top', '-30px');
  });
  $("div[id^=edit-AWM-stories-name-]").each(function() {
	$(this).css('margin-left', '100px');
	$(this).css('width','100px');
  });
  $("div[id^=edit-AWM-taxonomies-name-]").each(function() {
	$(this).css('margin-left', '100px');
	$(this).css('width','100px');
  });

  $("div[id^=edit-AWM-taxonomies-newest-]").each(function() {
	$(this).css('float', 'left');
  });
  // END colors and styling...

  // BEGIN RESULTS IN "GENERATE STRUCTURE CODE"
  //hide the all of the element with class msg_body
  $(".awmToggleBody").hide();
  //toggle the componenet with class awmToggleBody   
  $(".awmToggleHead").click(function() {
      if ($(this).next(".awmToggleBody").css('display') == 'block') {
		$(".awmToggleBody").slideUp(600); 
      } else {
		$(".awmToggleBody").slideUp(600); 
		$(this).next(".awmToggleBody").slideToggle(600);
      }
  });
  //add css 
  $(".awmToggleHead").each(function() {
      $(this).css("color", "#027AC6");
      //$(this).css("text-decoration", "underline");
      $(this).css("cursor", "pointer");
  });
  // END RESULTS IN "GENERATE STRUCTURE CODE"


  // BEGIN SHOW HIDE OF MORE INFO PIC
  //onclick, show the div
  $("*[id^=awm_show_me]").each(function() {
	$(this).click(function() {
		$(this).next("*[id^=awm_show_this]").slideDown();
		return false;
	});
  });
  $("*[id^=awm_show_me_close]").each(function() {
	$(this).click(function() {
		$(this).parents("*[id^=awm_show_this]").slideUp();
		return false;
	});
  });
  // END SHOW HIDE OF MORE INFO PIC

  // BEGIN SHOW HIDE OF MORE INFO for admin/block (superfish)
  //onclick, show the div
  $("*[id^=sf_awm_show_me]").each(function() {
	$(this).click(function() {
		// IE? OPERA?	(SAFARI==CHROME??)
                if ($.browser.msie) $(this).next("*[id^=sf_awm_show_this]").slideDown();
		else if(!$.browser.safari)	$(this).parent().next("*[id^=sf_awm_show_this]").slideDown(); // parents - link located into for <label>
		else			$(this).next("*[id^=sf_awm_show_this]").slideDown();
		return false;
	});
  });
  $("*[id^=sf_awm_show_me_close]").each(function() {
	$(this).click(function() {
		$(this).parents("*[id^=sf_awm_show_this]").slideUp();
		return false;
	});
  });
  // END SHOW HIDE OF MORE INFO for admin/block (superfish)

  // BEGIN FORM ENABLING/DISABLING (existing or new menu)
  $(".awm_menu_structure_enabling").each(function() {
	$(this).click(function() {
		if ($(this).nextAll('.awm_indicate_txt').css('color') == 'green') {
			$(this).nextAll('.awm_indicate_txt').css('color', 'red').html('&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This menu will NOT appear in your site');
		} else {
			$(this).nextAll('.awm_indicate_txt').css('color', 'green').html('&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This menu will appear in your site');
		}
	});
  });



$("input[id^=edit-AWM-new-menu-]").each(function(){

    var num = $(this).attr('id').replace("edit-AWM-new-menu-","");
	if ( isNaN(parseInt(num))){
        return;}
    	
   if ($(this).attr("checked")){
	
     	
      $("div[id^=edit-AWM-items-from-menu-"+num+"]").removeClass("my_hidden");
	$("fieldset.awm_menu_structure_"+num).addClass("my_hidden");
	$('span#awm-dots-'+num).html(":");
      $('span#awm-dots-toggle-'+num).html("...");
		
	}
	else{
	$("div[id^=edit-AWM-items-from-menu-"+num+"]").addClass("my_hidden");      
	 $("fieldset.awm_menu_structure_"+num).removeClass("my_hidden");
	$('span#awm-dots-'+num).html("...");
         $('span#awm-dots-toggle-'+num).html(":");
        }

}
);


$("input[id^=edit-AWM-new-menu-toggle-]").click(function()
  {
     
      var  id = $(this).attr('id');
    var num = id.replace("edit-AWM-new-menu-toggle-","");
        if ($(this).attr("checked")){
      $("input[id^=edit-AWM-new-menu-"+num+"]").attr("checked",false);
       $("fieldset.awm_menu_structure_"+num).removeClass("my_hidden");
      $("div[id^=edit-AWM-items-from-menu-"+num+"]").addClass("my_hidden");
	$('span#awm-dots-'+num).html("...");
         $('span#awm-dots-toggle-'+num).html(":");
        }
      else{
         $("input[id^=edit-AWM-new-menu-"+num+"]").attr("checked",true);
         $("fieldset.awm_menu_structure_"+num).addClass("my_hidden");
	$("div[id^=edit-AWM-items-from-menu-"+num+"]").removeClass("my_hidden");
	$('span#awm-dots-'+num).html(":");
      $('span#awm-dots-toggle-'+num).html("...");
        }
  });

  $("input[id^=edit-AWM-new-menu-]").click(function()
  {
      
    var  num = $(this).attr('id').replace("edit-AWM-new-menu-","");
	
	if ( isNaN(parseInt(num))){
        return;}
	if ($(this).attr("checked")){
	$("input[id^=edit-AWM-new-menu-toggle-"+num+"]").attr("checked",false);
      $("fieldset.awm_menu_structure_"+num).addClass("my_hidden");
      $("div[id^=edit-AWM-items-from-menu-"+num+"]").removeClass("my_hidden");
	$('span#awm-dots-'+num).html(":");
      $('span#awm-dots-toggle-'+num).html("...");
	}
	else{
         $("input[id^=edit-AWM-new-menu-toggle"+num+"]").attr("checked",true);
         $("fieldset.awm_menu_structure_"+num).removeClass("my_hidden");
	$("div[id^=edit-AWM-items-from-menu-"+num+"]").addClass("my_hidden");
	$('span#awm-dots-'+num).html("...");
         $('span#awm-dots-toggle-'+num).html(":");
        }

	
  });
 
  

$(":checkbox[name^=AWM_pages_]").click(function(){
 var  num = $(this).attr('name').replace("AWM_pages_","");
if ( isNaN(parseInt(num))){
        return;}
if ($(this).attr("checked")){
$('fieldset#awm_pages_fieldset'+num).removeClass("my_hidden");
}
else{
$('fieldset#awm_pages_fieldset'+num).addClass("my_hidden");
}
});

$("input[name^=AWM_pages_ms_]").click(function(){

 var  num = $(this).attr('name').replace("AWM_pages_ms_","");

if ($(this).val()=="main"){

$(":input[name=AWM_pages_name_"+ num +"]").attr("disabled", true);
}
else
$(":input[name=AWM_pages_name_"+ num +"]").attr("disabled", false);
});



$(":checkbox[name^=AWM_stories_]").click(function(){

 var  num = $(this).attr('name').replace("AWM_stories_","");
if ( isNaN(parseInt(num))){
        return;}
if ($(this).attr("checked")){
$('fieldset#awm_stories_fieldset'+num).removeClass("my_hidden");
}
else{
$('fieldset#awm_stories_fieldset'+num).addClass("my_hidden");
}
});

$("input[name^=AWM_stories_ms_]").click(function(){

 var  num = $(this).attr('name').replace("AWM_stories_ms_","");

if ($(this).val()=="main"){

$(":input[name=AWM_stories_name_"+ num +"]").attr("disabled", true);
}
else
$(":input[name=AWM_stories_name_"+ num +"]").attr("disabled", false);
});


$(":checkbox[name^=AWM_taxonomies_]").click(function(){

 var  num = $(this).attr('name').replace("AWM_taxonomies_","");
if ( isNaN(parseInt(num))){
        return;}
if ($(this).attr("checked")){
$('fieldset#awm_taxonomies_fieldset'+num).removeClass("my_hidden");
}
else{
$('fieldset#awm_taxonomies_fieldset'+num).addClass("my_hidden");
}
});

$("input[name^=AWM_taxonomies_ms_]").click(function(){

 var  num = $(this).attr('name').replace("AWM_taxonomies_ms_","");

if ($(this).val()=="main"){

$(":input[name=AWM_taxonomies_name_"+ num +"]").attr("disabled", true);
}
else
$(":input[name=AWM_taxonomies_name_"+ num +"]").attr("disabled", false);
});

$(":checkbox[name^=AWM_taxonomies_newest_]").click(function(){

 var  num = $(this).attr('name').replace("AWM_taxonomies_newest_","");
if ( isNaN(parseInt(num))){
        return;}
if ($(this).attr('checked')){

$(":input[name=AWM_taxonomies_newest_num_"+ num +"]").attr("disabled", false);
}
else
$(":input[name=AWM_taxonomies_newest_num_"+ num +"]").attr("disabled", true);
});



$(":radio[name^=AWM_menu_source_]").click(function(){
var  num = $(this).attr('name').replace("AWM_menu_source_","");
if ( isNaN(parseInt(num))){
        return;}
	if ($(this).val()=="superfish"){
	$("div[id=superfish_notice_"+num+"]").removeClass('my_hidden');
	$("div[id=awm_menu_type_wrapper_"+num+"]").addClass('my_hidden');
	}
	else{
		$("div[id=superfish_notice_"+num+"]").addClass('my_hidden');
		$("div[id=awm_menu_type_wrapper_"+num+"]").removeClass('my_hidden');
	}

});




  // END FORM ENABLING/DISABLING (existing or new menu)


  // BEGIN FORM TYPE INFO
  
  $("input[id^=edit-AWM-menu-type]").each(function() {
	$(this).click(function() {
            
            
		//which of the menus are we editing?
		
		var myArray = $(this).attr('id').split("-");
		awm_tohide_id = myArray[4];

		// hide all other infos of the same menu
		$("div[id^=AWM_menu_type_info_"+awm_tohide_id+"]").each(function() {
			$(this).css('display', 'none');
		});

		// IE? OPERA?	(SAFARI==CHROME??)
		awm_toshow = $("div[id^=AWM_menu_type_info_"+awm_tohide_id+"_"+$(this).val()+"]")
		if (awm_toshow.css('display') == 'block') {
			awm_toshow.css('display', 'none')
		} else {
			awm_toshow.css('display', 'block')
		}
	});
  });


  // END FORM TYPE INFO

 };
